<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('10','creates','R');     
$_SESSION['cuPages']='main_suppliercreate.php';   
$cuPage='main_suppliercreate.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='client';
$menuh='Client';
$phead='supcre';
$page='Create Supplier';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['save_suplier'])){
	$name = ucwords(remove_junk(escape($_POST['name'])));
    $code = get_genid('SU');
    $cperson = remove_junk(escape($_POST['cperson']));
    $cnumber = remove_junk(escape($_POST['cnumber']));
    $cphone = remove_junk(escape($_POST['cphone']));
    $cemail = remove_junk(escape($_POST['cemail']));
    $address = remove_junk(escape($_POST['address']));
    $faddress = remove_junk(escape($_POST['faddress']));
    $status = remove_junk(escape($_POST['status']));
    $climit = remove_junk(escape($_POST['climit']));
    $rank = remove_junk(escape($_POST['rank']));
    $gid = remove_junk(escape($_POST['gid']));
    if($gid!=''){$gid="'".$gid."'";}else{$gid='NULL';}
	
	if(isset($_POST['cnumber'])){
	$ducode = mysqli_query($con,"SELECT * FROM tbl_supplier WHERE cnumber = '$cnumber'");
	}
	
	if($ducode->num_rows > 0) {
		save_msg('i','Mobile Number alrady used! Plz try another');
		echo "<script>window.location='main_suppliercreate.php'</script>";
	}else{
    $sql="INSERT INTO tbl_supplier(gid,code,name,cperson,cnumber,cphone,cemail,creditlimit,crepreiod,address,saddress,rank,status,uid,date) VALUES ($gid,'$code','$name','$cperson','$cnumber','$cphone','$cemail','$climit','0','$address','$faddress','$rank','$status','$aid','$dtnow')";    
	$result = mysqli_query($con,$sql) or die(mysqli_error($con));
    $efid=mysqli_affected_rows($con);    
    if($efid>0){
    $act =remove_junk(escape('Supplier name: '.$name));    
    write_activity($aid,'SUP','New supplier has been Added',$act);
    save_msg('s','Data Successfully Saved!');    
    }else{
    save_msg('w','Data Fail to Saved!');    
    }
    echo "<script>window.location='main_suppliercreate.php'</script>";  
	}  
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-9">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Add New Supplier</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<form action="main_suppliercreate.php" onsubmit="return validate()" enctype="multipart/form-data" method="post" accept-charset="utf-8">
<div class="col-md-12 popup_details_div">
<div class="col-md-1"></div>
<div class="col-md-10">
<div class="col-md-12">

<div class="row">
<div class="col-md-6">
<div class="form-group">
<label>Name</label>    
<input type="text" name="name" maxlength="45" value="" id="name" class="form-control" placeholder="e.g. Md.Sumon Rahman"/>
</div>    
</div>
<div class="col-md-3">
<div class="form-group">
<label>Status</label>    
<select class="form-control" name="status" id="status">
<option value="1">Acive</option> 
<option value="0">De-Acive</option>     
</select>
</div>    
</div>    
<div class="col-md-3">
<div class="form-group">
<label>Code</label>    
<input type="text" name="code" maxlength="15" value="<?php echo get_genid('SU');?>" id="code" class="form-control" placeholder="e.g. ABA/SU/001" readonly/>
</div>    
</div>    
</div>
<div class="row">
<div class="col-md-4">
<div class="form-group">
<label>Contact Name</label>    
<input type="text" name="cperson" maxlength="45" value="" id="cperson" class="form-control" placeholder="e.g. Md.Rahman Sumon(CEO)"/>
</div>    
</div>
<div class="col-md-4">
<div class="form-group">
<label>Contact Number</label>    
<input type="text" name="cnumber" maxlength="18" value="" id="cnumber" class="form-control" placeholder="e.g. +88016161xxxxx70"/>
</div>    
</div>
<div class="col-md-4">
<div class="form-group">
<label>Contact Phone</label>    
<input type="text" name="cphone" maxlength="14" value="" id="cphone" class="form-control" placeholder="e.g. +88-02-721xxx1"/>
</div>    
</div>    
</div>   
<div class="row">
<div class="col-md-4">
<div class="form-group">
<label>Contact Email</label>    
<input type="text" name="cemail" maxlength="45" value="" id="cemail" class="form-control" placeholder="e.g. info@axesgl.com"/>
</div>    
</div>
<div class="col-md-4">    
<div class="form-group">
<label>Credit Limit</label>
<input type="text" name="climit" maxlength="12" value="0" id="climit" class="form-control" onkeypress="return isNumberKey(event)" placeholder="e.g. 350000.00"/>   
</div>
</div>
<div class="col-md-4"> 
<div class="form-group">
<label>Ranking</label>
<input type="text" name="rank" maxlength="3" value="0" id="rank" class="form-control" onkeypress="return isNumberKey(event)" placeholder="e.g. 127"/>   
</div>     
</div>     
</div>    
<div class="row">
<div class="col-md-6"> 
<div class="form-group">    
<label>Address</label>
<textarea class="form-control" name="address" id="address" maxlength="200" rows="4" placeholder="Office Address"></textarea>    
</div>
</div>    
<div class="col-md-6">    
<div class="form-group">
<label>Factory Address</label>
<textarea class="form-control" name="faddress" id="faddress" maxlength="200" rows="4" placeholder="Factory Address"></textarea>   
</div>
</div>    
</div> 
<div class="row">
<div class="col-md-3">    
    <div class="form-group">
        <label>Select Group</label>
        <select class="form-control select2" name="gid" id="gid">
            <option value="">-Select-</option>
            <?php									
            $querys=mysqli_query($con,"SELECT * FROM tbl_cgroup ORDER BY name ASC")or die(mysqli_error($con));
            while ($rows=mysqli_fetch_array($querys)){
            ?>
            <option value="<?php echo $rows['id'];?>"><?php echo $rows['name'];?></option>
            <?php } ?>
        </select>    
    </div>
</div>
</div> 
</div>    
</div>    
<div class="col-md-1"></div>    
</div>
<div class="clearfix" ></div>
<div class="col-md-12 nopadding widgets_area"></div>    
<div class="row"style="margin-top: 15px" >
<div class="col-md-8 ">
</div>
<div class="col-md-4 text-right" >
<input type="submit" name="save_suplier" id="submit" class="btn btn-flat bg-purple btn-sm" value="Save"/> <a href="main_supplierlist.php" class="btn btn-flat bg-gray  ">Close</a>
</div> 
</div>     
</form>    
</div>
</div>
</div>
<div class="col-md-3">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['access']=='1'){echo read_activity($aid,'SUP','A');}else{echo read_activity($aid,'SUP','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>

<?php include('../layout/quick.php');?>     
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function () {
var name = new LiveValidation('name');
name.add(Validate.Presence);  
var cnumber = new LiveValidation('cnumber');
cnumber.add(Validate.Presence);
var address = new LiveValidation('address');
address.add(Validate.Presence);
var cemail = new LiveValidation('cemail');
cemail.add(Validate.Email);
    
var climit = new LiveValidation('climit');
climit.add(Validate.Presence);     
climit.add(Validate.Numericality, { minimum: 0, onlyInteger: true });
var rank = new LiveValidation('rank');
rank.add(Validate.Presence);     
rank.add(Validate.Numericality, { minimum: 0, onlyInteger: true });    
});
</script>    
<!-- /page script -->
</html>    